diff -rNu /usr/ports/games/wolfpack/Makefile wolfpack/Makefile
--- /usr/ports/games/wolfpack/Makefile	Mon Mar  8 11:42:16 2004
+++ wolfpack/Makefile	Sun Oct 10 23:18:15 2004
@@ -6,11 +6,11 @@
 #
 
 PORTNAME=	wolfpack
-PORTVERSION=	4.2.12
+PORTVERSION=	4.2.18
 CATEGORIES=	games
-MASTER_SITES=	http://www.empire.cx/Downloads/server/ \
-		http://www.empire.cx/Downloads/server/oldversions/
-DISTNAME=	empire${PORTVERSION}
+MASTER_SITES=	http://www.wolfpackempire.com/Downloads/server/ \
+		http://www.wolfpackempire.com/Downloads/server/oldversions/
+DISTNAME=	empire-${PORTVERSION}
 
 MAINTAINER=	darius@dons.net.au
 COMMENT=	Long term multiplayer strategy game
@@ -18,39 +18,52 @@
 .if !defined(BATCH)
 IS_INTERACTIVE=	yes     # configure script asks questions
 .endif
-WRKSRC=		${WRKDIR}/emp4
 ALL_TARGET=	freebsd
 
-MAN1=		fairland.1 files.1 land.1 ore.1 pconfig.1 perfect.1
+USE_RC_SUBR=	yes
+
+MAN1=		fairland.1 files.1 pconfig.1
 MAN6=		emp_client.6 emp_server.6
 
 MAKE_ARGS=	PREFIX=${PREFIX}
 
 .include <bsd.port.pre.mk>
 
+PKGDEINSTALL=	${PKGINSTALL}
+
 .if ${ARCH} == "ia64"
 BROKEN=		"Does not compile on ia64"
 .endif
 
+RC_SCRIPTS_SUB=	PREFIX=${PREFIX} \
+		RC_SUBR=${RC_SUBR}
+
+pre-configure:
+	${MKDIR} ${WRKSRC}/data
+
 pre-install:
 	${MKDIR} ${PREFIX}/wolfpack
 	${MKDIR} ${PREFIX}/wolfpack/data
+	@ ${SETENV} PKG_PREFIX=${PREFIX} \
+		${SH} ${PKGINSTALL} ${PORTNAME} PRE-INSTALL
 
 post-install:
 	${CHMOD} 750 ${PREFIX}/wolfpack/data
-	${TAR} -C ${WRKDIR}/emp4 -cf - info.nr scripts doc | ${TAR} -C ${PREFIX}/wolfpack -xf -
+	${TAR} -C ${WRKSRC} -cf - info.nr scripts doc | ${TAR} -C ${PREFIX}/wolfpack -xf -
 	${CHMOD} 755 ${PREFIX}/wolfpack/info.nr
 	${CHMOD} 644 ${PREFIX}/wolfpack/info.nr/*
 	${CHOWN} -R root:wheel ${PREFIX}/wolfpack
-	${INSTALL_DATA} ${WRKDIR}/emp4/README ${PREFIX}/wolfpack
-	${INSTALL_MAN} ${WRKDIR}/emp4/man/fairland.1 ${PREFIX}/man/man1/
-	${INSTALL_MAN} ${WRKDIR}/emp4/man/files.1 ${PREFIX}/man/man1/
-	${INSTALL_MAN} ${WRKDIR}/emp4/man/land.1 ${PREFIX}/man/man1/
-	${INSTALL_MAN} ${WRKDIR}/emp4/man/ore.1 ${PREFIX}/man/man1/
-	${INSTALL_MAN} ${WRKDIR}/emp4/man/pconfig.1 ${PREFIX}/man/man1/
-	${INSTALL_MAN} ${WRKDIR}/emp4/man/perfect.1 ${PREFIX}/man/man1/
-	${INSTALL_MAN} ${WRKDIR}/emp4/man/emp_client.6 ${PREFIX}/man/man6/
-	${INSTALL_MAN} ${WRKDIR}/emp4/man/emp_server.6 ${PREFIX}/man/man6/
+	${INSTALL_DATA} ${WRKSRC}/README ${PREFIX}/wolfpack
+	${INSTALL_MAN} ${WRKSRC}/man/fairland.1 ${PREFIX}/man/man1/
+	${INSTALL_MAN} ${WRKSRC}/man/files.1 ${PREFIX}/man/man1/
+	${INSTALL_MAN} ${WRKSRC}/man/pconfig.1 ${PREFIX}/man/man1/
+	${INSTALL_MAN} ${WRKSRC}/man/emp_client.6 ${PREFIX}/man/man6/
+	${INSTALL_MAN} ${WRKSRC}/man/emp_server.6 ${PREFIX}/man/man6/
 	@${CAT} ${FILESDIR}/post-install-info
+	@ ${SETENV} PKG_PREFIX=${PREFIX} \
+		${SH} ${PKGINSTALL} ${PORTNAME} POST-INSTALL
+	@ ${SED} ${RC_SCRIPTS_SUB:S/$/!g/:S/^/ -e s!%%/:S/=/%%!/}        \
+		${FILESDIR}/wolfpack.sh > ${WRKDIR}/wolfpack.sh
+	${INSTALL_SCRIPT} ${WRKDIR}/wolfpack.sh ${PREFIX}/etc/rc.d/wolfpack.sh
 
 .include <bsd.port.post.mk>
diff -rNu /usr/ports/games/wolfpack/distinfo wolfpack/distinfo
--- /usr/ports/games/wolfpack/distinfo	Sun Apr 11 13:52:11 2004
+++ wolfpack/distinfo	Sun Oct 10 10:37:55 2004
@@ -1,2 +1,2 @@
-MD5 (empire4.2.12.tar.gz) = 75113b07a0639f5393cec06faebe2492
-SIZE (empire4.2.12.tar.gz) = 1353409
+MD5 (empire-4.2.18.tar.gz) = 4b7dc524b842cf39c657aeb0aa9a75a7
+SIZE (empire-4.2.18.tar.gz) = 1325824
diff -rNu /usr/ports/games/wolfpack/files/build.conf.tmpl wolfpack/files/build.conf.tmpl
--- /usr/ports/games/wolfpack/files/build.conf.tmpl	Tue Dec 19 11:47:36 2000
+++ wolfpack/files/build.conf.tmpl	Sun Oct 10 11:34:27 2004
@@ -17,11 +17,11 @@
 # Please enter the host name you will be running on:
 # (For NT you can use "HOSTNAME = localhost" as this seems to be what it
 #  resolves to if you use 127.0.0.1 below)
-HOSTNAME = %%HOSTNAME%%
+HOSTNAME = localhost
 
 # Please enter the ip address of the host you will be running on:
 # (For NT you can use "IPADDR = 127.0.0.1")
-IPADDR = %%IPADDR%%
+IPADDR = 127.0.0.1
 
 # Please enter the port you will be running on:
 PORTNUM = 6665
diff -rNu /usr/ports/games/wolfpack/files/patch-Make.sysdefs wolfpack/files/patch-Make.sysdefs
--- /usr/ports/games/wolfpack/files/patch-Make.sysdefs	Thu Jan  1 09:30:00 1970
+++ wolfpack/files/patch-Make.sysdefs	Sun Oct 10 11:24:28 2004
@@ -0,0 +1,11 @@
+--- Make.sysdefs.orig	Tue Sep  7 23:52:39 2004
++++ Make.sysdefs	Sun Oct 10 11:24:01 2004
+@@ -40,7 +40,7 @@
+ OSXMASTER = GLOBALCFLAGS="$(OSXCFLAGS)" GLOBALLFLAGS="$(OSXLFLAGS)"
+ 
+ FREEBSDRANLIB = /usr/bin/ranlib
+-FREEBSDCFLAGS = -g -fno-common -DRel4 -DFBSD -ansi -pedantic $(GCCWARNFLAGS)
++FREEBSDCFLAGS = -g -fno-common -DRel4 -DFBSD -ansi -pedantic $(GCCWARNFLAGS) $(CFLAGS)
+ FREEBSDLFLAGS = 
+ FREEBSDMASTER = GLOBALCFLAGS="$(FREEBSDCFLAGS)" GLOBALLFLAGS="$(FREEBSDLFLAGS)" RANLIB="$(FREEBSDRANLIB)"
+ 
diff -rNu /usr/ports/games/wolfpack/files/patch-Makefile wolfpack/files/patch-Makefile
--- /usr/ports/games/wolfpack/files/patch-Makefile	Thu Jan  1 09:30:00 1970
+++ wolfpack/files/patch-Makefile	Sun Oct 10 11:27:04 2004
@@ -0,0 +1,31 @@
+--- Makefile.orig	Tue Sep  7 23:52:39 2004
++++ Makefile	Sun Oct 10 11:26:07 2004
+@@ -106,7 +106,6 @@
+ 	($(MAKE) genlibs $(FREEBSDMASTER))
+ 	(cd src/lib/lwp; $(MAKE) $(FREEBSDMASTER))
+ 	($(MAKE) binaries $(FREEBSDMASTER))
+-	($(MAKE) install)
+ 
+ hp:
+ 	@echo 'building a $(WORLDX) by $(WORLDY) server...'
+@@ -499,6 +498,20 @@
+ 	-(mv $(EMPDIR)/data/econfig $(EMPDIR)/data/econfig.bak)
+ 	($(EMPDIR)/bin/pconfig > $(EMPDIR)/data/econfig)
+ 	-(mv $(EMPDIR)/data/econfig.bak $(EMPDIR)/data/econfig)
++	echo "# Wolfpack, 1996-2000" >$(EMPDIR)/data/auth
++	echo "#" >>$(EMPDIR)/data/auth
++	echo "# Empire Authorization File - Users listed will be allowed to log in as deities." >>$(EMPDIR)/data/auth
++	echo "#" >>$(EMPDIR)/data/auth
++	echo "# Format is:" >>$(EMPDIR)/data/auth
++	echo "# hostname that authorized user uses on a line" >>$(EMPDIR)/data/auth
++	echo "# username that authorized user uses on a line" >>$(EMPDIR)/data/auth
++	echo "#" >>$(EMPDIR)/data/auth
++	echo "# REMEMBER TO USE PAIRS OF LINES!" >>$(EMPDIR)/data/auth
++	echo "#" >>$(EMPDIR)/data/auth
++	echo "# Example:" >>$(EMPDIR)/data/auth
++	echo "#" >>$(EMPDIR)/data/auth
++	echo "localhost" >>$(EMPDIR)/data/auth
++	echo "root" >>$(EMPDIR)/data/auth
+ 
+ ntinstall:
+ 	cd src\client
diff -rNu /usr/ports/games/wolfpack/files/patch-ad wolfpack/files/patch-ad
--- /usr/ports/games/wolfpack/files/patch-ad	Wed Oct 22 19:48:53 2003
+++ wolfpack/files/patch-ad	Thu Jan  1 09:30:00 1970
@@ -1,56 +0,0 @@
---- src/doconfig/doconfig.c.orig	Thu Jun 19 03:24:48 2003
-+++ src/doconfig/doconfig.c	Wed Oct 22 16:02:33 2003
-@@ -90,12 +90,18 @@
- #endif
- 
- int
--main()
-+main(int argc, char **argv)
- {
-     char buf[256];
-     char *cp;
- 	char *pathname;
- 
-+    if (argc != 2) {
-+               printf("Bad usage");
-+               exit(-1);
-+    }
-+
-+
-     if ((pathname = getcwd(NULL, 255)) == NULL) {
- 		printf("Can't get current path!\n");
- 		exit(-1);
-@@ -112,30 +118,16 @@
-     cp = (char *)rindex(pathname, '\\');
-     *cp = '\0';
- #endif
-+    if (!strcasecmp(argv[1], "config")) {
-     printf("Configuring...\n");
-     wrmakesrc(pathname);
-     sprintf(buf, "%s/include/gamesdef.h", pathname);
-     wrgamesdef(buf);
-     sprintf(buf, "%s/src/client/ipglob.c", pathname);
-     wripglob(buf);
--
--    if (access(EP, 0)) {
--		printf("making directory %s\n", EP);
--		if (mkdir(EP, 493)) {
--			printf("mkdir failed on %s, exiting.\n", EP);
--			exit(-1);
--		}
--    }
--    sprintf(buf, "%s/data", EP);
--    if (access(buf, 0)) {
--		printf("making directory %s\n", buf);
--		if (mkdir(buf, 493)) {
--			printf("mkdir failed on %s, exiting.\n", buf);
--			exit(-1);
--		}
--    }
--    sprintf(buf, "%s/data/auth", EP);
-+    sprintf(buf, "%s/data/auth", pathname);
-     wrauth(buf);
-+    }
-     exit(0);
- }
- 
diff -rNu /usr/ports/games/wolfpack/files/patch-ah wolfpack/files/patch-ah
--- /usr/ports/games/wolfpack/files/patch-ah	Tue Dec 19 11:47:36 2000
+++ wolfpack/files/patch-ah	Thu Jan  1 09:30:00 1970
@@ -1,13 +0,0 @@
---- src/doconfig/Makefile.orig	Sat Dec 16 22:57:15 2000
-+++ src/doconfig/Makefile	Sat Dec 16 22:58:25 2000
-@@ -53,7 +53,10 @@
- 	@echo 'globalcflags = $(GLOBALCFLAGS)'
- 	@echo 'globallflags = $(GLOBALLFLAGS)'
- 	$(CC) $(GLOBALCFLAGS) $(DALL) doconfig.c -o doconfig $(GLOBALLFLAGS)
--	./doconfig
-+	./doconfig config
-+
-+install: doconfig
-+	./doconfig install
- 
- nt: ntdoconfig
diff -rNu /usr/ports/games/wolfpack/files/patch-ai wolfpack/files/patch-ai
--- /usr/ports/games/wolfpack/files/patch-ai	Tue Dec 19 11:47:36 2000
+++ wolfpack/files/patch-ai	Thu Jan  1 09:30:00 1970
@@ -1,10 +0,0 @@
---- Make.sysdefs.orig	Sun Dec 17 00:09:26 2000
-+++ Make.sysdefs	Sun Dec 17 00:09:13 2000
-@@ -32,7 +32,7 @@
- #
- 
- FREEBSDRANLIB = /usr/bin/ranlib
--FREEBSDCFLAGS = -DRel4 -DFBSD -ansi -pedantic #-Wall
-+FREEBSDCFLAGS = $(CFLAGS) -DRel4 -DFBSD -ansi -pedantic #-Wall
- FREEBSDLFLAGS = 
- FREEBSDMASTER = GLOBALCFLAGS="$(FREEBSDCFLAGS)" GLOBALLFLAGS="$(FREEBSDLFLAGS)" RANLIB="$(FREEBSDRANLIB)"
diff -rNu /usr/ports/games/wolfpack/files/patch-aj wolfpack/files/patch-aj
--- /usr/ports/games/wolfpack/files/patch-aj	Wed Oct 22 19:48:53 2003
+++ wolfpack/files/patch-aj	Thu Jan  1 09:30:00 1970
@@ -1,248 +0,0 @@
---- Makefile.orig	Sat Aug 24 04:25:15 2002
-+++ Makefile	Wed Oct 22 16:58:17 2003
-@@ -81,7 +81,6 @@
- 	($(MAKE) genlibs $(ALPHAMASTER))
- 	(cd src/lib/lwp; $(MAKE) $(ALPHAMASTER))
- 	($(MAKE) binaries $(ALPHAMASTER))
--	($(MAKE) install)
- 
- alpha-pthreads:
- 	@echo 'building a $(WORLDX) by $(WORLDY) server...'
-@@ -89,7 +88,6 @@
- 	($(MAKE) genlibs $(ALPHAPOSMASTER))
- 	(cd src/lib/lwp; $(MAKE) $(ALPHAPOSMASTER))
- 	($(MAKE) binaries $(ALPHAPOSMASTER))
--	($(MAKE) install)
- 
- apollo:
- 	@echo 'building a $(WORLDX) by $(WORLDY) server...'
-@@ -97,7 +95,6 @@
- 	($(MAKE) genlibs $(APOLLOMASTER))
- 	(cd src/lib/lwp; $(MAKE) $(APOLLOMASTER))
- 	($(MAKE) binaries $(APOLLOMASTER))
--	($(MAKE) install)
- 
- freebsd:
- 	@echo 'building a $(WORLDX) by $(WORLDY) server...'
-@@ -105,7 +102,6 @@
- 	($(MAKE) genlibs $(FREEBSDMASTER))
- 	(cd src/lib/lwp; $(MAKE) $(FREEBSDMASTER))
- 	($(MAKE) binaries $(FREEBSDMASTER))
--	($(MAKE) install)
- 
- hp:
- 	@echo 'building a $(WORLDX) by $(WORLDY) server...'
-@@ -113,7 +109,6 @@
- 	($(MAKE) genlibs $(HPMASTER))
- 	(cd src/lib/lwp; $(MAKE) $(HPMASTER))
- 	($(MAKE) binaries $(HPMASTER))
--	($(MAKE) install)
- 
- hpux:
- 	@echo 'building a $(WORLDX) by $(WORLDY) server...'
-@@ -121,7 +116,6 @@
- 	($(MAKE) genlibs $(HPUXMASTER))
- 	(cd src/lib/lwp; $(MAKE) $(HPUXMASTER))
- 	($(MAKE) binaries $(HPUXMASTER) CLIENTLIBS="")
--	($(MAKE) install)
- 
- next:
- 	@echo 'building a $(WORLDX) by $(WORLDY) server...'
-@@ -129,14 +123,12 @@
- 	($(MAKE) genlibs $(NEXTMASTER))
- 	(cd src/lib/lwp; $(MAKE) $(NEXTMASTER))
- 	($(MAKE) binaries $(NEXTMASTER))
--	($(MAKE) install)
- 
- osx:
- 	@echo 'building a $(WORLDX) by $(WORLDY) server...'
- 	(cd src/doconfig; $(MAKE) $(OSXMASTER))
- 	($(MAKE) genlibs $(OSXMASTER))
- 	($(MAKE) binaries TOBUILD=osx $(OSXMASTER) CLIENTLIBS="")
--	($(MAKE) install)
- 
- irix:
- 	@echo 'building a $(WORLDX) by $(WORLDY) server...'
-@@ -144,7 +136,6 @@
- 	($(MAKE) genlibs $(IRIXMASTER))
- 	(cd src/lib/lwp; $(MAKE) $(IRIXMASTER))
- 	($(MAKE) binaries $(IRIXMASTER))
--	($(MAKE) install)
- 
- irix5:
- 	@echo 'building a $(WORLDX) by $(WORLDY) server...'
-@@ -152,7 +143,6 @@
- 	($(MAKE) genlibs $(IRIX5MASTER))
- 	(cd src/lib/lwp; $(MAKE) $(IRIX5MASTER))
- 	($(MAKE) binaries $(IRIX5MASTER))
--	($(MAKE) install)
- 
- isi:
- 	@echo 'building a $(WORLDX) by $(WORLDY) server...'
-@@ -160,7 +150,6 @@
- 	($(MAKE) genlibs $(ISIMASTER))
- 	(cd src/lib/lwp; $(MAKE) $(ISIMASTER))
- 	($(MAKE) binaries $(ISIMASTER))
--	($(MAKE) install)
- 
- linux:
- 	@echo 'building a $(WORLDX) by $(WORLDY) server...'
-@@ -170,7 +159,6 @@
- 	($(MAKE) genlibs $(LINUXMASTER))
- 	(cd src/lib/lwp; $(MAKE) $(LINUXMASTER))
- 	($(MAKE) binaries $(LINUXMASTER))
--	($(MAKE) install)
- 
- linux-pthreads:
- 	@echo 'building a $(WORLDX) by $(WORLDY) server...'
-@@ -178,7 +166,6 @@
- 	($(MAKE) genlibs $(LINUXPTHMASTER))
- 	(cd src/lib/lwp; $(MAKE) $(LINUXPTHMASTER))
- 	($(MAKE) binaries $(LINUXPTHMASTER))
--	($(MAKE) install)
- 
- mipsbsd:
- 	@echo 'building a $(WORLDX) by $(WORLDY) server...'
-@@ -186,7 +173,6 @@
- 	($(MAKE) genlibs $(MIPSBSDMASTER))
- 	(cd src/lib/lwp; $(MAKE) mipsultrix $(MIPSBSDMASTER))
- 	($(MAKE) binaries $(MIPSBSDMASTER))
--	($(MAKE) install)
- 
- mach2.5:
- 	@echo 'building a $(WORLDX) by $(WORLDY) server...'
-@@ -194,7 +180,6 @@
- 	($(MAKE) genlibs $(MACH25MASTER))
- 	(cd src/lib/lwp; $(MAKE) mipsultrix $(MACH25MASTER))
- 	($(MAKE) binaries $(MACH25MASTER))
--	($(MAKE) install)
- 
- mipsultrix:
- 	@echo 'building a $(WORLDX) by $(WORLDY) server...'
-@@ -202,7 +187,6 @@
- 	($(MAKE) genlibs $(MIPSULTMASTER))
- 	(cd src/lib/lwp; $(MAKE) mipsultrix $(MIPSULTMASTER))
- 	($(MAKE) binaries $(MIPSULTMASTER))
--	($(MAKE) install)
- 
- mipsultrix.gcc:
- 	@echo 'building a $(WORLDX) by $(WORLDY) server...'
-@@ -210,7 +194,6 @@
- 	($(MAKE) genlibs $(MIPSULTGMASTER))
- 	(cd src/lib/lwp; $(MAKE) mipsultrix $(MIPSULTGMASTER))
- 	($(MAKE) binaries $(MIPSULTGMASTER))
--	($(MAKE) install)
- 
- nt:
- 	@echo 'building a $(WORLDX) by $(WORLDY) server...'
-@@ -222,7 +205,6 @@
- 	$(MAKE) nt $(NTMASTER)
- 	cd ../../..
- 	$(MAKE) ntbinaries TOBUILD=nt $(NTMASTER)
--	$(MAKE) ntinstall
- 
- vaxultrix:
- 	@echo 'building a $(WORLDX) by $(WORLDY) server...'
-@@ -230,7 +212,6 @@
- 	($(MAKE) genlibs $(VAXULTMASTER))
- 	(cd src/lib/lwp; $(MAKE) $(VAXULTMASTER))
- 	($(MAKE) binaries $(VAXULTMASTER))
--	($(MAKE) install)
- 
- aix:
- 	@echo 'building a $(WORLDX) by $(WORLDY) server...'
-@@ -238,7 +219,6 @@
- 	($(MAKE) genlibs $(AIXMASTER))
- 	(cd src/lib/lwp; $(MAKE) aix $(AIXMASTER))
- 	($(MAKE) binaries $(AIXMASTER))
--	($(MAKE) install)
- 
- rtpc:
- 	@echo 'building a $(WORLDX) by $(WORLDY) server...'
-@@ -246,7 +226,6 @@
- 	($(MAKE) genlibs $(RTPCMASTER))
- 	(cd src/lib/lwp; $(MAKE) aix $(RTPCMASTER))
- 	($(MAKE) binaries $(RTPCMASTER))
--	($(MAKE) install)
- 
- sequent:
- 	@echo 'building a $(WORLDX) by $(WORLDY) server...'
-@@ -254,7 +233,6 @@
- 	($(MAKE) genlibs $(SEQMASTER))
- 	(cd src/lib/lwp; $(MAKE) $(SEQMASTER))
- 	($(MAKE) binaries $(SEQMASTER))
--	($(MAKE) install)
- 
- sequent.fpa:
- 	@echo 'building a $(WORLDX) by $(WORLDY) server...'
-@@ -262,7 +240,6 @@
- 	($(MAKE) genlibs $(SEQFPAMASTER))
- 	(cd src/lib/lwp; $(MAKE) $(SEQFPAMASTER))
- 	($(MAKE) binaries $(SEQFPAMASTER))
--	($(MAKE) install)
- 
- solaris:
- 	@echo 'building a $(WORLDX) by $(WORLDY) server...'
-@@ -270,7 +247,6 @@
- 	($(MAKE) genlibs $(SOLMASTER))
- 	(cd src/lib/lwp; $(MAKE) $(SOLMASTER))
- 	($(MAKE) binaries $(SOLMASTER))
--	($(MAKE) install)
- 
- sun3:
- 	@echo 'building a $(WORLDX) by $(WORLDY) server...'
-@@ -278,7 +254,6 @@
- 	($(MAKE) genlibs $(SUN3MASTER))
- 	(cd src/lib/lwp; $(MAKE) $(SUN3MASTER))
- 	($(MAKE) binaries $(SUN3MASTER))
--	($(MAKE) install)
- 
- sun4:
- 	@echo 'building a $(WORLDX) by $(WORLDY) server...'
-@@ -286,7 +261,6 @@
- 	($(MAKE) genlibs $(SUN4MASTER))
- 	(cd src/lib/lwp; $(MAKE) $(SUN4MASTER))
- 	($(MAKE) binaries $(SUN4MASTER))
--	($(MAKE) install)
- 
- sun4.opt:
- 	@echo 'building a $(WORLDX) by $(WORLDY) server...'
-@@ -294,7 +268,6 @@
- 	($(MAKE) genlibs $(SUN4OPTMASTER))
- 	(cd src/lib/lwp; $(MAKE) $(SUN4OPTMASTER))
- 	($(MAKE) binaries $(SUN4OPTMASTER))
--	($(MAKE) install)
- 
- sun4.debug:
- 	@echo 'building a $(WORLDX) by $(WORLDY) server...'
-@@ -302,7 +275,6 @@
- 	($(MAKE) genlibs $(SUN4DBGMASTER))
- 	(cd src/lib/lwp; $(MAKE) $(SUN4DBGMASTER))
- 	($(MAKE) binaries $(SUN4DBGMASTER))
--	($(MAKE) install)
- 
- #
- # Generic stuff that is called from the architecture specific stuff.
-@@ -542,6 +514,22 @@
- 	-(mv $(EMPDIR)/data/econfig $(EMPDIR)/data/econfig.bak)
- 	($(EMPDIR)/bin/pconfig > $(EMPDIR)/data/econfig)
- 	-(mv $(EMPDIR)/data/econfig.bak $(EMPDIR)/data/econfig)
-+	echo "# Wolfpack, 1996-2000" >$(EMPDIR)/data/auth
-+	echo "#" >>$(EMPDIR)/data/auth
-+	echo "# Empire Authorization File - Users listed will be allowed to log in as deities." >>$(EMPDIR)/data/auth
-+	echo "#" >>$(EMPDIR)/data/auth
-+	echo "# Format is:" >>$(EMPDIR)/data/auth
-+	echo "# hostname that authorized user uses on a line" >>$(EMPDIR)/data/auth
-+	echo "# username that authorized user uses on a line" >>$(EMPDIR)/data/auth
-+	echo "#" >>$(EMPDIR)/data/auth
-+	echo "# REMEMBER TO USE PAIRS OF LINES!" >>$(EMPDIR)/data/auth
-+	echo "#" >>$(EMPDIR)/data/auth
-+	echo "# Example:" >>$(EMPDIR)/data/auth
-+	echo "#" >>$(EMPDIR)/data/auth
-+	echo "localhost" >>$(EMPDIR)/data/auth
-+	echo "$(USERNAME)" >>$(EMPDIR)/data/auth
-+	echo "$(IPADDR)" >>$(EMPDIR)/data/auth
-+	echo "$(USERNAME)" >>$(EMPDIR)/data/auth
- 
- ntinstall:
- 	-(mkdir bin)
diff -rNu /usr/ports/games/wolfpack/files/patch-src::doconfig::Makefile wolfpack/files/patch-src::doconfig::Makefile
--- /usr/ports/games/wolfpack/files/patch-src::doconfig::Makefile	Thu Jan  1 09:30:00 1970
+++ wolfpack/files/patch-src::doconfig::Makefile	Mon Mar  8 12:19:32 2004
@@ -0,0 +1,13 @@
+--- src/doconfig/Makefile.orig	Sat Dec 16 22:57:15 2000
++++ src/doconfig/Makefile	Sat Dec 16 22:58:25 2000
+@@ -53,7 +53,10 @@
+ 	@echo 'globalcflags = $(GLOBALCFLAGS)'
+ 	@echo 'globallflags = $(GLOBALLFLAGS)'
+ 	$(CC) $(GLOBALCFLAGS) $(DALL) doconfig.c -o doconfig $(GLOBALLFLAGS)
+-	./doconfig
++	./doconfig config
++
++install: doconfig
++	./doconfig install
+ 
+ nt: ntdoconfig
diff -rNu /usr/ports/games/wolfpack/files/patch-src::doconfig::doconfig.c wolfpack/files/patch-src::doconfig::doconfig.c
--- /usr/ports/games/wolfpack/files/patch-src::doconfig::doconfig.c	Thu Jan  1 09:30:00 1970
+++ wolfpack/files/patch-src::doconfig::doconfig.c	Sun Oct 10 11:31:26 2004
@@ -0,0 +1,61 @@
+--- src/doconfig/doconfig.c.orig	Tue Sep  7 23:52:37 2004
++++ src/doconfig/doconfig.c	Sun Oct 10 11:31:04 2004
+@@ -80,12 +80,17 @@
+ #endif
+ 
+ int
+-main(void)
++main(int argc, char **argv)
+ {
+     char buf[256];
+     char *cp;
+     char *pathname;
+ 
++    if (argc != 2) {
++        printf("Bad usage");
++        exit(-1);
++    }
++
+     if ((pathname = safe_getcwd()) == NULL) {
+ 	printf("Can't get current path!\n");
+ 	exit(-1);
+@@ -101,30 +106,16 @@
+     cp = strrchr(pathname, '\\');
+     *cp = '\0';
+ #endif
+-    printf("Configuring...\n");
+-    wrmakesrc(pathname);
+-    sprintf(buf, "%s/include/gamesdef.h", pathname);
+-    wrgamesdef(buf);
+-    sprintf(buf, "%s/src/client/ipglob.c", pathname);
+-    wripglob(buf);
+-
+-    if (access(EP, 0)) {
+-	printf("making directory %s\n", EP);
+-	if (mkdir(EP, 0755)) {
+-	    printf("mkdir failed on %s, exiting.\n", EP);
+-	    exit(-1);
+-	}
+-    }
+-    sprintf(buf, "%s/data", EP);
+-    if (access(buf, 0)) {
+-	printf("making directory %s\n", buf);
+-	if (mkdir(buf, 0755)) {
+-	    printf("mkdir failed on %s, exiting.\n", buf);
+-	    exit(-1);
+-	}
++    if (!strcasecmp(argv[1], "config")) {
++       printf("Configuring...\n");
++       wrmakesrc(pathname);
++       sprintf(buf, "%s/include/gamesdef.h", pathname);
++       wrgamesdef(buf);
++       sprintf(buf, "%s/src/client/ipglob.c", pathname);
++       wripglob(buf);
++       sprintf(buf, "%s/data/auth", pathname);
++       wrauth(buf);
+     }
+-    sprintf(buf, "%s/data/auth", EP);
+-    wrauth(buf);
+     exit(0);
+ }
+ 
diff -rNu /usr/ports/games/wolfpack/files/patch-src::server::main.c wolfpack/files/patch-src::server::main.c
--- /usr/ports/games/wolfpack/files/patch-src::server::main.c	Thu Jan  1 09:30:00 1970
+++ wolfpack/files/patch-src::server::main.c	Sun Oct 10 23:10:01 2004
@@ -0,0 +1,127 @@
+--- src/server/main.c.orig	Tue Sep  7 23:52:39 2004
++++ src/server/main.c	Sun Oct 10 23:09:23 2004
+@@ -78,6 +78,7 @@
+ 
+ #if !defined(_WIN32)
+ static int mainpid = 0;
++static char *pidfile = NULL;
+ #endif
+ 
+ /*
+@@ -93,9 +94,10 @@
+     time_t now;
+     int flags = 0;
+     int op;
+-    char *config_file = NULL;
++    char *config_file = NULL, pbuf[256];
+     extern char *optarg;
+     s_char tbuf[256];
++    FILE *pidf;
+ #ifdef POSIXSIGNALS
+     struct sigaction act;
+ #endif /* POSIXSIGNALS */
+@@ -105,11 +107,14 @@
+ #if !defined(_WIN32)
+     mainpid = getpid();
+ 
+-    while ((op = getopt(argc, argv, "D:de:psh")) != EOF) {
++    while ((op = getopt(argc, argv, "D:P:de:psh")) != EOF) {
+ 	switch (op) {
+ 	case 'D':
+ 	    datadir = optarg;
+ 	    break;
++	case 'P':
++	    pidfile = optarg;
++	    break;
+ 	case 'd':
+ 	    debug++;
+ 	    break;
+@@ -124,7 +129,15 @@
+ 	    break;
+ 	case 'h':
+ 	default:
+-	    printf("Usage: %s -d -p -s\n", argv[0]);
++	    fprintf(stderr, "Usage: %s -D <datadir> -d -e <configfile> -p -s\n"
++			    "	-D Use the specified data dir\n"
++			    "	-P Write out the PID to the specified file\n"
++			    "	-d Increase debugging\n"
++			    "	-e Use the specified config file\n"
++			    "	-p Print thread debugging information\n"
++			    "	-s Print thread info, and do stack checks\n",
++		    argv[0]);
++
+ 	    return 0;
+ 	}
+     }
+@@ -134,13 +147,6 @@
+ 	config_file = tbuf;
+     }
+ 
+-    logerror("------------------------------------------------------");
+-#if !defined(_WIN32)
+-    logerror("Empire server (pid %d) started", getpid());
+-#else
+-    logerror("Empire server started");
+-#endif /* _WIN32 */
+-
+ #if defined(_WIN32)
+     loc_NTInit();
+ #endif
+@@ -193,6 +199,32 @@
+     signal(SIGPIPE, SIG_IGN);
+ #endif /* POSIXSIGNALS */
+ #endif /* _WIN32 */
++
++#if !defined(_WIN32)
++    if (pidfile != NULL) {
++	if ((pidf = fopen(pidfile, "a")) == NULL) {
++	    logerror("Unable to open PID file %s - %s", pidfile, strerror(errno));
++	    exit(1);
++	} else {
++	    op = snprintf(pbuf, sizeof(pbuf), "%d\n", getpid());
++	    if (fwrite(pbuf, 1, op, pidf) != op) {
++		unlink(pidfile);
++		logerror("Unable to write PID file %s - %s", pidfile, strerror(errno));
++		exit(1);
++	    }
++	    fclose(pidf);
++
++	}
++    }
++#endif
++
++    logerror("------------------------------------------------------");
++#if !defined(_WIN32)
++    logerror("Empire server (pid %d) started", getpid());
++#else
++    logerror("Empire server started");
++#endif /* _WIN32 */
++
+     empth_init((char **)&player, flags);
+     time(&now);
+ #if !defined(_WIN32)
+@@ -312,9 +344,13 @@
+     signal(SIGFPE, SIG_DFL);
+ #endif /* POSIXSIGNALS */
+ #endif /* _WIN32 */
+-    logerror("server received fatal signal %d", sig);
++logerror("server received fatal signal %d", sig);
+     log_last_commands();
+     close_files();
++
++    if (pidfile != NULL)
++	unlink(pidfile);
++    
+     _exit(0);
+ }
+ 
+@@ -381,6 +417,9 @@
+     else
+ 	logerror("Server shutting down at Deity's request");
+     close_files();
++    if (pidfile != NULL)
++	unlink(pidfile);
++    
+     _exit(0);
+ }
+ 
diff -rNu /usr/ports/games/wolfpack/files/wolfpack.sh wolfpack/files/wolfpack.sh
--- /usr/ports/games/wolfpack/files/wolfpack.sh	Thu Jan  1 09:30:00 1970
+++ wolfpack/files/wolfpack.sh	Sun Oct 10 23:15:20 2004
@@ -0,0 +1,25 @@
+#!/bin/sh
+#
+# Add the following line to /etc/rc.conf to enable wolfpack:
+#
+# wolfpack_enable="YES"
+#
+
+. %%RC_SUBR%%
+
+name=wolfpack
+rcvar=`set_rcvar`
+
+wolfdir="%%PREFIX%%/wolfpack"
+
+command="$wolfdir/bin/emp_server"
+pidfile="$wolfdir/data/wolfpack.pid"
+
+wolfpack_enable=${wolfpack_enable:-"NO"}
+wolfpack_user=${wolfpack_user:-"wolfpack"}
+wolfpack_flags=${wolfpack_flags:-"-P $pidfile"}
+
+load_rc_config $name
+
+run_rc_command "$1"
+
diff -rNu /usr/ports/games/wolfpack/pkg-descr wolfpack/pkg-descr
--- /usr/ports/games/wolfpack/pkg-descr	Thu Feb 28 07:09:46 2002
+++ wolfpack/pkg-descr	Sun Oct 10 18:13:37 2004
@@ -1,4 +1,4 @@
 Wolfpack Empire is a game designed for 2 to 100 people. Games can last from 24
 hours to 1 year. Very complex and highly addictive, beware!
 
-WWW: http://www.expire.cx/
+WWW: www.wolfpackempire.com
diff -rNu /usr/ports/games/wolfpack/pkg-install wolfpack/pkg-install
--- /usr/ports/games/wolfpack/pkg-install	Thu Jan  1 09:30:00 1970
+++ wolfpack/pkg-install	Sun Oct 10 14:34:25 2004
@@ -0,0 +1,72 @@
+#! /bin/sh
+
+# $FreeBSD#
+
+PATH=/bin:/usr/sbin
+INSTDIR=${PKG_PREFIX}/wolfpack
+
+USER=wolfpack
+GROUP=${USER}
+
+case $2 in
+PRE-INSTALL)
+	if pw group show "${GROUP}" 2>/dev/null; then
+		echo "You already have a group \"${GROUP}\", so I will use it."
+	else
+		if pw groupadd ${GROUP}; then
+			echo "Added group \"${GROUP}\"."
+		else
+			echo "Adding group \"${GROUP}\" failed..."
+			exit 1
+		fi
+	fi
+
+	if pw user show "${USER}" 2>/dev/null; then
+		echo "You already have a user \"${USER}\", so I will use it."
+	else
+		if pw useradd ${USER} -g ${GROUP} -h - \
+			-d ${INSTDIR} -c "Teamspeak Server"
+		then
+			echo "Added user \"${USER}\"."
+		else
+			echo "Adding user \"${USER}\" failed..."
+			exit 1
+		fi
+	fi
+
+	if ! [ -x ~${USER} ] ; then 
+		mkdir -p ${INSTDIR}
+		chown ${USER}:${GROUP} ${INSTDIR}
+	fi
+	;;
+
+POST-INSTALL)
+	chown -R ${USER}:${GROUP} ${INSTDIR}
+	chmod -R u+w,o-rx ${INSTDIR}
+	;;
+
+
+POST-DEINSTALL)
+	if pw group show "${GROUP}" 2>/dev/null; then
+		if pw groupdel ${GROUP}; then
+			echo "Removed group \"${GROUP}\"."
+		else
+			echo "Removing group \"${GROUP}\" failed..."
+			exit 1
+		fi
+	else
+		echo "Group \"${GROUP}\" doesn't exist!"
+	fi
+
+	if pw user show "${USER}" 2>/dev/null; then
+		if pw userdel ${USER}; then
+			echo "Removed user \"${USER}\"."
+		else
+			echo "Removing user \"${USER}\" failed..."
+			exit 1
+		fi
+	else
+		echo "User \"${USER}\" doesn't exist!"
+	fi
+	;;
+esac
diff -rNu /usr/ports/games/wolfpack/pkg-message wolfpack/pkg-message
--- /usr/ports/games/wolfpack/pkg-message	Thu Jan  1 09:30:00 1970
+++ wolfpack/pkg-message	Sun Oct 10 12:23:52 2004
@@ -0,0 +1,3 @@
+You should check and edit the $PREFIX/wolfpack/data/auth file so that you are able to login as
+a diety.
+
diff -rNu /usr/ports/games/wolfpack/pkg-plist wolfpack/pkg-plist
--- /usr/ports/games/wolfpack/pkg-plist	Wed Oct 22 19:48:53 2003
+++ wolfpack/pkg-plist	Sun Oct 10 18:06:04 2004
@@ -123,7 +123,6 @@
 wolfpack/info.nr/assault
 wolfpack/info.nr/attack
 wolfpack/info.nr/bdes
-wolfpack/info.nr/bestdistpath
 wolfpack/info.nr/bestpath
 wolfpack/info.nr/bmap
 wolfpack/info.nr/board
@@ -135,7 +134,6 @@
 wolfpack/info.nr/bye
 wolfpack/info.nr/capital
 wolfpack/info.nr/cargo
-wolfpack/info.nr/cede
 wolfpack/info.nr/census
 wolfpack/info.nr/change
 wolfpack/info.nr/coastwatch
@@ -151,7 +149,6 @@
 wolfpack/info.nr/designate
 wolfpack/info.nr/disable
 wolfpack/info.nr/disarm
-wolfpack/info.nr/dissolve
 wolfpack/info.nr/distribute
 wolfpack/info.nr/drop
 wolfpack/info.nr/dump
@@ -174,11 +171,13 @@
 wolfpack/info.nr/grind
 wolfpack/info.nr/harden
 wolfpack/info.nr/headlines
+wolfpack/info.nr/help
 wolfpack/info.nr/hidden
 wolfpack/info.nr/improve
 wolfpack/info.nr/info
 wolfpack/info.nr/land
 wolfpack/info.nr/launch
+wolfpack/info.nr/lbmap
 wolfpack/info.nr/lboard
 wolfpack/info.nr/lcargo
 wolfpack/info.nr/ldump
@@ -208,7 +207,6 @@
 wolfpack/info.nr/motd
 wolfpack/info.nr/move
 wolfpack/info.nr/mquota
-wolfpack/info.nr/mult
 wolfpack/info.nr/name
 wolfpack/info.nr/nation
 wolfpack/info.nr/navigate
@@ -225,6 +223,7 @@
 wolfpack/info.nr/paradrop
 wolfpack/info.nr/path
 wolfpack/info.nr/payoff
+wolfpack/info.nr/pbmap
 wolfpack/info.nr/pboard
 wolfpack/info.nr/pdump
 wolfpack/info.nr/plane
@@ -252,6 +251,7 @@
 wolfpack/info.nr/sabotage
 wolfpack/info.nr/sail
 wolfpack/info.nr/satellite
+wolfpack/info.nr/sbmap
 wolfpack/info.nr/scrap
 wolfpack/info.nr/scuttle
 wolfpack/info.nr/sdump
@@ -332,11 +332,10 @@
 wolfpack/scripts/mapper/text.size
 wolfpack/scripts/postresults
 wolfpack/scripts/saveass
-@dirrm wolfpack/bin
-@dirrm wolfpack/data
-@dirrm wolfpack/doc
-@dirrm wolfpack/info.nr
-@dirrm wolfpack/scripts/blitz
+etc/rc.d/wolfpack.sh
 @dirrm wolfpack/scripts/mapper
+@dirrm wolfpack/scripts/blitz
 @dirrm wolfpack/scripts
-@dirrm wolfpack
+@dirrm wolfpack/info.nr
+@dirrm wolfpack/doc
+@dirrm wolfpack/data
diff -rNu /usr/ports/games/wolfpack/scripts/configure wolfpack/scripts/configure
--- /usr/ports/games/wolfpack/scripts/configure	Tue Dec 19 11:47:36 2000
+++ wolfpack/scripts/configure	Sun Oct 10 11:34:15 2004
@@ -11,8 +11,6 @@
 name=`pw user show \`id -u\` | awk -F : '{print $8}'`
 username=`id -un`
 email=$username@`hostname`
-host=`hostname`
-ip=`host -t a $host | awk '{print $4}'`
 tempfile=`mktemp -t __input`
 
 if [ ! -z "$BATCH" ]; then
@@ -29,21 +27,11 @@
   doquit $?
   email=`cat $tempfile`
 
-  dialog --title "Wolfpack Empire Information" --inputbox "Hostname of the machine the server is running on" 8 60 "$host" 2>$tempfile
-  doquit $?
-  host=`cat $tempfile`
-
-  dialog --title "Wolfpack Empire Information" --inputbox "IP of the machine the server is running on" 8 60 "$ip" 2>$tempfile
-  doquit $?
-  ip=`cat $tempfile`
-
   rm -f $tempfile
 fi
 echo Name is $name
 echo Username is $username
 echo Email address is $email
-echo Hostname is $host
-echo IP is $ip
 
 FROM=$FILESDIR/build.conf.tmpl
 TO=$WRKSRC/build.conf
@@ -52,4 +40,5 @@
   CC=gcc
 fi
 
-sed -e "s/%%CC%%/$CC/" -e "s/%%NAME%%/$name/" -e "s/%%USERNAME%%/$username/" -e "s/%%EMAIL%%/$email/" -e "s/%%HOSTNAME%%/$host/" -e "s/%%IPADDR%%/$ip/" -e "s#%%EMPDIR%%#$PREFIX/wolfpack#" <$FROM >$TO
+sed -e "s/%%CC%%/$CC/" -e "s/%%NAME%%/$name/" -e "s/%%USERNAME%%/$username/" -e "s/%%EMAIL%%/$email/" -e "s#%%EMPDIR%%#$PREFIX/wolfpack#" <$FROM >$TO
+
